-- Toggle KEY :
toggleKey = KEY_F9
-- End of config

example_addon = ScriptThread("seatbelt_mod_sd") 

function example_addon:Run()

	activated = false
	hasAVehicule = false
	
	while self:IsRunning() do

		if IsKeyDown(toggleKey) then
			if activated then
				setSeatbelt(false, "Seat belt mod OFF")
			else
				setSeatbelt(true, "Seat belt mod ON")	
			end
		end

		if activated then
		
			if hasAVehicule then
				player = natives.PLAYER.GET_PLAYER_PED(-1)
				if (natives.PED.IS_PED_RAGDOLL(player)) then
					natives.PED.SET_PED_INTO_VEHICLE(player, natives.PED.GET_VEHICLE_PED_IS_IN(player, true), -1)
				end
			end
		
			if (hasAVehicule and not LocalPlayer():IsInVehicle()) then
				hasAVehicule = false 
			end

			if (natives.PED.IS_PED_GETTING_INTO_A_VEHICLE(natives.PLAYER.GET_PLAYER_PED(-1))) then
				hasAVehicule = true
			end

		end
		
		self:Wait(40)
		
	end
	
end

function example_addon:OnError()
	self:Reset()
end

function setSeatbelt(state, msg)
	gui.BeepSelect()
	hasAVehicule = state
	activated = state
	myprint(msg)
end

function myprint(msg)
	gui.NotifyAboveMap(msg, 500)
end

example_addon:Register()

-- Version 1.0
-- Made by SD, enjoy !